import Oss from '@/components/upload/upload.js'
import { Loading } from 'element-ui'
export default {
  //skin:'oxide-dark',
  language:'zh_CN',
  language_url: './styles/tinymce/langs/zh_CN.js',
  plugins: 'print preview searchreplace autolink directionality visualblocks visualchars fullscreen image link media template codesample table charmap hr pagebreak nonbreaking anchor insertdatetime advlist lists wordcount imagetools textpattern help emoticons autosave autoresize',
  toolbar: 'code undo redo restoredraft | cut copy pastetext | forecolor backcolor headings fontsize lineHeight bold italic underline strikethrough link anchor | alignleft aligncenter alignright alignjustify | \
    styleselect fontselect fontsizeselect | bullist numlist | blockquote subscript superscript removeformat | \
    table image media charmap emoticons hr pagebreak insertdatetime print preview | fullscreen | indent2em',
  style_formats: [
    //新增 首行缩进与行高 配置
    {
      title: '首行缩进',
      block: 'p',
      styles: {
        'text-indent': '2em'
      }
    },
    {
      title: '行高',
      items: [{
          title: '1',
          styles: {
            'line-height': '1'
          },
          inline: 'span'
        },
        {
          title: '1.5',
          styles: {
            'line-height': '1.5'
          },
          inline: 'span'
        },
        {
          title: '2',
          styles: {
            'line-height': '2'
          },
          inline: 'span'
        },
        {
          title: '2.5',
          styles: {
            'line-height': '2.5'
          },
          inline: 'span'
        },
        {
          title: '3',
          styles: {
            'line-height': '3'
          },
          inline: 'span'
        }
      ]
    },
    //默认的配置
    {
      title: 'headings',
      items: [
        {
          title: 'Heading 1',
          format: 'h1'
        },
        {
          title: 'Heading 2',
          format: 'h2'
        },
        {
          title: 'Heading 3',
          format: 'h3'
        },
        {
          title: 'Heading 4',
          format: 'h4'
        },
        {
          title: 'Heading 5',
          format: 'h5'
        },
        {
          title: 'Heading 6',
          format: 'h6'
        }
      ]
    },
    {
      title: 'Inline',
      items: [
        {
          title: 'Bold',
          icon: 'bold',
          format: 'bold'
        },
        {
          title: 'Italic',
          icon: 'italic',
          format: 'italic'
        },
        {
          title: 'Underline',
          icon: 'underline',
          format: 'underline'
        },
        {
          title: 'Strikethrough',
          icon: 'strikethrough',
          format: 'strikethrough'
        },
        {
          title: 'Superscript',
          icon: 'superscript',
          format: 'superscript'
        },
        {
          title: 'Subscript',
          icon: 'subscript',
          format: 'subscript'
        },
        {
          title: 'Code',
          icon: 'code',
          format: 'code'
        }
      ]
    },
    {
      title: 'Blocks',
      items: [
        {
          title: 'Paragraph',
          format: 'p'
        },
        {
          title: 'Blockquote',
          format: 'blockquote'
        },
        {
          title: 'Div',
          format: 'div'
        },
        {
          title: 'Pre',
          format: 'pre'
        }
      ]
    },
    {
      title: 'Alignment',
      items: [
        {
          title: 'Left',
          icon: 'alignleft',
          format: 'alignleft'
        },
        {
          title: 'Center',
          icon: 'aligncenter',
          format: 'aligncenter'
        },
        {
          title: 'Right',
          icon: 'alignright',
          format: 'alignright'
        },
        {
          title: 'Justify',
          icon: 'alignjustify',
          format: 'alignjustify'
        }
      ]
    }
  ],
  promotion: false,
  branding: false,
  width: '100%',
  height: 400, //编辑器高度
  min_height: 400,
  max_height: 600,
  content_css: [ //可设置编辑区内容展示的css，谨慎使用
    './styles/css/editor.css',
  ],
  // content_style: Style,
  fontsize_formats: '12px 14px 16px 19px 24px 36px 48px 56px 72px',
  font_formats: '苹果苹方=PingFang SC,Microsoft YaHei,sans-serif;宋体=simsun,serif;微软雅黑=Microsoft YaHei,Helvetica Neue,PingFang SC,sans-serif;仿宋体=FangSong,serif;黑体=SimHei,sans-serif;Arial=arial,helvetica,sans-serif;Arial Black=arial black,avant garde;Book Antiqua=book antiqua,palatino;Comic Sans MS=comic sans ms,sans-serif;Courier New=courier new,courier;Georgia=georgia,palatino;Helvetica=helvetica;Impact=impact,chicago;Symbol=symbol;Tahoma=tahoma,arial,helvetica,sans-serif;Terminal=terminal,monaco;Times New Roman=times new roman,times;Verdana=verdana,geneva;Webdings=webdings;Wingdings=wingdings,zapf dingbats;知乎配置=BlinkMacSystemFont, Helvetica Neue, PingFang SC, Microsoft YaHei, Source Han Sans SC, Noto Sans CJK SC, WenQuanYi Micro Hei, sans-serif;小米配置=Helvetica Neue,Helvetica,Arial,Microsoft Yahei,Hiragino Sans GB,Heiti SC,WenQuanYi Micro Hei,sans-serif',
  link_list: [
      { title: '预置链接1', value: 'http://www.tinymce.com' },
      { title: '预置链接2', value: 'http://tinymce.ax-z.cn' }
  ],
  image_list: [
      { title: '预置图片1', value: 'https://www.tiny.cloud/images/glyph-tinymce@2x.png' },
      { title: '预置图片2', value: 'https://www.baidu.com/img/bd_logo1.png' }
  ],
  image_class_list: [
  { title: 'None', value: '' },
  { title: 'Some class', value: 'class-name' }
  ],
  //importcss_append: true,
  //自定义文件选择器的回调内容
  file_picker_callback: function (callback, value, meta) {
      if (meta.filetype === 'file') {
        callback('https://www.baidu.com/img/bd_logo1.png', { text: 'My text' });
      }
      if (meta.filetype === 'image') {
        callback('https://www.baidu.com/img/bd_logo1.png', { alt: 'My alt text' });
      }
      if (meta.filetype === 'media') {
        callback('movie.mp4', { source2: 'alt.ogg', poster: 'https://www.baidu.com/img/bd_logo1.png' });
      }
  },
  //为内容模板插件提供预置模板
  templates: [
		{ title: '个股分析报告', description: '', content: `
			<div class="tiny-report">
				<h2>个股分析报告</h2>
				<h6>1.引言</h6>
				<ul>
					<li>简要介绍报告的目的和背景</li>
					<li>概述报告的结构和方法</li>
				</ul>
				
				<h6>2.公司概况</h6>
				<ul>
					<li>描述所分析个股所属的公司背景和业务领域</li>
					<li>介绍公司的历史、组织结构和治理情况</li>
					<li>探讨公司的核心竞争优势和市场地位</li>
				</ul>
				
				<h6>3.财务分析</h6>
				<ul>
					<li>分析公司的财务状况，包括利润表、资产负债表和现金流量表</li>
					<li>探讨公司的盈利能力、偿债能力和现金流状况</li>
					<li>研究公司的财务指标和比率，如利润率、ROE和债务比率</li>
				</ul>
				
				<h6>4.行业比较和竞争分析</h6>
				<ul>
					<li>将所分析个股与同行业公司进行比较</li>
					<li>分析个股在行业中的市场份额和竞争地位</li>
					<li>探讨个股与竞争对手的差异和优势</li>
				</ul>
				
				<h6>5.市场前景和趋势</h6>
				<ul>
					<li>研究所分析个股所属行业的市场前景和增长趋势</li>
					<li>探讨行业内的关键市场驱动因素和趋势</li>
					<li>分析个股在行业发展中的机会和挑战</li>
				</ul>
				
				<h6>6.投资评估和风险分析</h6>
				<ul>
					<li>进行个股的估值分析，包括基本面和市场估值指标</li>
					<li>评估个股的投资回报和风险水平</li>
					<li>分析个股所面临的风险和不确定性因素</li>
				</ul>
				
				<h6>7.结论和建议</h6>
				<ul>
					<li>总结报告的主要发现和结论</li>
					<li>提出对个股的投资建议和操作策略</li>
					<li>强调个股的优势和风险要素</li>
				</ul>
				
				<h6>8.参考文献</h6>
				<ul>
					<li>列出用于报告的参考文献和数据来源</li>
				</ul>
			</div>
			` 
		},
		
		{ title: '行业数据分析报告', description: '', content: `
			<div class="tiny-report">
				<h2>行业数据分析报告</h2>
				<h6>1.引言</h6>
				<ul>
					<li>简要介绍报告的目的和背景</li>
					<li>概述报告的结构和方法</li>
				</ul>
				
				<h6>2.行业概述</h6>
				<ul>
					<li>描述所分析行业的定义和范围</li>
					<li>介绍行业的发展历程和背景</li>
					<li>探讨行业的重要性和地位</li>
				</ul>
				
				<h6>3.行业规模和增长趋势</h6>
				<ul>
					<li>分析行业的市场规模和增长率</li>
					<li>研究行业的产值、销售额和利润情况</li>
					<li>探讨行业的发展趋势和前景</li>
				</ul>
				
				<h6>4.主要参与者和竞争格局</h6>
				<ul>
					<li>介绍行业的主要参与者和关键公司</li>
					<li>分析竞争格局和市场份额分布</li>
					<li>研究竞争对手的策略和市场定位</li>
				</ul>
				
				<h6>5.消费者行为和市场需求</h6>
				<ul>
					<li>调查消费者行为和购买习惯</li>
					<li>分析市场需求和潜在增长点</li>
					<li>探讨消费者对产品或服务的偏好和趋势</li>
				</ul>
				
				<h6>6.技术创新和趋势</h6>
				<ul>
					<li>研究行业的技术创新和发展趋势</li>
					<li>分析新技术对行业的影响和潜在机会</li>
					<li>探讨行业内的关键技术驱动因素</li>
				</ul>
				
				<h6>7.政策和法规环境</h6>
				<ul>
					<li>探讨政府政策对行业的影响</li>
					<li>分析法规环境和合规要求</li>
					<li>研究政策变化对行业的潜在影响</li>
				</ul>
				
				<h6>8.风险与挑战</h6>
				<ul>
					<li>识别当前面临的风险和挑战</li>
					<li>分析这些风险和挑战对行业的潜在影响</li>
					<li>探讨如何应对这些风险和挑战的策略和措施</li>
				</ul>
				
				<h6>9.结论和展望</h6>
				<ul>
					<li>总结报告的主要发现和结论</li>
					<li>展望行业的未来走向和发展趋势</li>
					<li>提出建议和策略推荐</li>
				</ul>
				
				<h6>10.参考文献</h6>
				<ul>
					<li>列出用于报告的参考文献和数据来源</li>
				</ul>
			</div>
			` 
		},
		
		{ title: '宏观数据分析报告', description: '', content: `
			<div class="tiny-report">
				<h2>宏观数据分析报告</h2>
				<h6>1.引言</h6>
				<ul>
					<li>简要介绍报告的目的和背景</li>
					<li>概述报告的结构和方法</li>
				</ul>
				
				<h6>2.数据来源和方法</h6>
				<ul>
					<li>描述数据来源和采集方法</li>
					<li>说明数据的时间范围和覆盖领域</li>
				</ul>
				
				<h6>3.宏观经济指标分析</h6>
				<ul>
					<li>分析国内生产总值（GDP）的趋势和增长率</li>
					<li>研究劳动力市场情况，包括就业率和失业率</li>
					<li>探讨通货膨胀水平和消费价格指数（CPI）的变化</li>
					<li>分析财政政策和货币政策的影响</li>
				</ul>
				
				<h6>4.产业和部门分析</h6>
				<ul>
					<li>分析各个主要产业和部门的增长情况和趋势</li>
					<li>探讨各个产业和部门的投资、产出和就业情况</li>
					<li>研究产业结构的变化和发展趋势</li>
				</ul>
				
				<h6>5.外部环境分析</h6>
				<ul>
					<li>分析国际贸易和出口入口情况</li>
					<li>探讨国际金融市场和汇率的影响</li>
					<li>研究全球经济形势和主要国家的经济动向</li>
				</ul>
				
				<h6>6.风险与挑战</h6>
				<ul>
					<li>识别当前面临的经济风险和挑战</li>
					<li>分析这些风险和挑战对宏观经济的潜在影响</li>
					<li>探讨如何应对这些风险和挑战的政策和措施</li>
				</ul>
				
				<h6>7.结论和展望</h6>
				<ul>
					<li>总结报告的主要发现和结论</li>
					<li>展望宏观经济的未来走向和发展趋势</li>
					<li>提出建议和政策推荐</li>
				</ul>
				
				<h6>8.参考文献</h6>
				<ul>
					<li>列出用于报告的参考文献和数据来源</li>
				</ul>
			</div>
			` 
		},
		
		{ title: '可视化报告', description: '', content: `
			<div class="tiny-report">
				<h2>可视化报告</h2>
				<h6>1.封面</h6>
				<ul>
					<li>报告的标题和日期</li>
					<li>公司或机构的标志或名称</li>
				</ul>
				
				<h6>2.目录</h6>
				<ul>
					<li>列出报告中各个部分的页码</li>
				</ul>
				
				<h6>3.引言</h6>
				<ul>
					<li>简要介绍报告的目的和背景</li>
					<li>概述报告的结构和方法</li>
				</ul>
				
				<h6>4.数据总览</h6>
				<ul>
					<li>展示所涵盖的数据范围和来源</li>
					<li>提供关键指标的总结和概览</li>
				</ul>
				
				<h6>5.主要发现</h6>
				<ul>
					<li>使用图表、图形或图像来突出报告的主要发现</li>
					<li>强调关键趋势、模式和见解</li>
				</ul>
				
				<h6>6.数据分析</h6>
				<ul>
					<li>使用适当的图表和图形展示数据分析的结果</li>
					<li>包括柱状图、折线图、饼图、散点图等</li>
				</ul>
				
				<h6>7.行业比较和竞争分析</h6>
				<ul>
					<li>使用可视化工具对所分析个股与同行业公司进行比较</li>
					<li>展示市场份额、增长率、利润率等数据的对比</li>
				</ul>
				
				<h6>8.市场前景和趋势</h6>
				<ul>
					<li>使用图表和图形展示行业的市场前景和趋势</li>
					<li>强调关键驱动因素和预测数据</li>
				</ul>
				
				<h6>9.投资评估和风险分析</h6>
				<ul>
					<li>使用可视化方式展示个股的估值分析和风险评估结果</li>
					<li>包括走势图、波动图、风险矩阵等</li>
				</ul>
				
				<h6>10.结论和建议</h6>
				<ul>
					<li>简明扼要地总结报告的主要发现和结论</li>
					<li>提出对个股的投资建议和操作策略</li>
				</ul>
				
				<h6>11.附录</h6>
				<ul>
					<li>包括用于报告的原始数据、图表和图形的源代码</li>
					<li>提供其他补充信息和参考资料</li>
				</ul>
			</div>
			` 
		},
		
		{ title: '数据分析报告', description: '', content: `
			<div class="tiny-report">
				<h2>数据分析报告</h2>
				<h6>1.引言</h6>
				<ul>
					<li>简要介绍报告的目的和背景</li>
					<li>概述报告的结构和方法</li>
				</ul>
				
				<h6>2.数据来源和方法</h6>
				<ul>
					<li>描述使用的数据来源和采集方法</li>
					<li>说明所采用的数据分析方法和技术</li>
				</ul>
				
				<h6>3.数据概览</h6>
				<ul>
					<li>提供对数据集的概览和总体统计信息</li>
					<li>描述数据的规模、特征和基本属性</li>
				</ul>
				
				<h6>4.数据清洗和预处理</h6>
				<ul>
					<li>描述数据清洗和预处理的步骤和方法</li>
					<li>解释对数据进行清洗和处理的原因和目的</li>
				</ul>
				
				<h6>5.数据分析结果</h6>
				<ul>
					<li>使用适当的图表、图形或图像展示数据分析的结果</li>
					<li>包括柱状图、折线图、饼图、散点图等，根据数据类型和问题选择合适的可视化方式</li>
				</ul>
				
				<h6>6.数据解读和发现</h6>
				<ul>
					<li>分析和解释数据分析的结果和趋势</li>
					<li>强调重要的数据关系、模式和见解</li>
				</ul>
				
				<h6>7.分析方法和模型</h6>
				<ul>
					<li>描述使用的分析方法和模型</li>
					<li>解释选择这些方法和模型的原因和假设</li>
				</ul>
				
				<h6>8.结果验证和可靠性</h6>
				<ul>
					<li>讨论数据分析结果的可靠性和有效性</li>
					<li>解释结果验证的方法和步骤</li>
				</ul>
				
				<h6>9.结论和建议</h6>
				<ul>
					<li>总结报告的主要发现和结论</li>
					<li>提出基于数据分析的建议和决策支持</li>
				</ul>
				
				<h6>10.限制和局限性</h6>
				<ul>
					<li>讨论数据分析过程中的限制和局限性</li>
					<li>提供对结果解释的警告和注意事项</li>
				</ul>
				
				<h6>11.参考文献</h6>
				<ul>
					<li>列出用于报告的参考文献和数据源</li>
				</ul>
				
				<h6>12.附录</h6>
				<ul>
					<li>包括用于报告的原始数据、图表和图形的源代码或数据表格</li>
					<li>提供其他补充信息和参考资料</li>
				</ul>
			</div>
			` 
		},
  ],
  // content_security_policy: "https://cdn.tiny.cloud/1/rnk6zw9v267xqz7pf98twt1vmrvltmd436je7a642pckltda/tinymce/6/tinymce.min.js",
  // extended_valid_elements:'script[src]',
  //
  // template_cdate_format: '[CDATE: %m/%d/%Y : %H:%M:%S]',
  // template_mdate_format: '[MDATE: %m/%d/%Y : %H:%M:%S]',
  // autosave_ask_before_unload: false,
  toolbar_mode : 'wrap',
  // automatic_uploads: true,
  // images_upload_base_path: '/demo',
  // images_upload_url: 'http://10.10.11.7:10000/iasf/sysFiles/upload',
  paste_data_images: true,
  powerpaste_allow_local_images: true,
  powerpaste_word_import: 'clean',
  powerpaste_html_import: 'clean',
  // 自定义上传
  images_upload_handler: function (blobInfo, succFun, failFun) {
		const blob = blobInfo.blob()
		// blob转换为file
		const file = new File([blob], blobInfo.filename(), {
			type: 'application/json',
			lastModified: Date.now()
		});
		Oss.upload(file).then(res => {
			succFun(res.url)
		})
  },
  //自定义文件选择器的回调内容 此方法只有在点击上方图片按钮才会触发
  file_picker_callback: function (callback, value, meta) {
    if (meta.filetype === 'file') {
      callback('https://www.baidu.com/img/bd_logo1.png', { text: 'My text' });
    }
    if (meta.filetype === 'image') {
      callback('https://www.baidu.com/img/bd_logo1.png', { alt: 'My alt text' });
    }
    // 主要判断 media 
    if (meta.filetype === 'media') {
      // 动态创建上传input，并进行模拟点击上传操作，达到本地上传视频效果。
      let input = document.createElement('input');//创建一个隐藏的input
      input.setAttribute('type', 'file');
      input.setAttribute("accept", ".mp4");
      input.onchange = function(){
        let file = this.files[0];
        const load = Loading.service()
				Oss.upload(file).then(res => {
					load.close()
					callback(res.url)
				}).catch(e => {
					load.close()
				})
      }
      //触发点击
      input.click();
    }
  },
  // 初始化事件
  setup: function(editor) {
    editor.on('init', function(ed) {
      // 设置默认字体
      ed.target.editorCommands.execCommand("fontName", false, "Microsoft Yahei")
      ed.target.editorCommands.execCommand("fontSize", false, "19px")
      ed.target.editorCommands.execCommand("lineHeight", false, "1.5")
    })
  },
}