import Vue from "vue";
import VueRouter from "vue-router";

Vue.use(VueRouter);

const routes = [{
    path: '/',
    component: resolve => require(['../views/Home.vue'], resolve),
    meta: {
      title: '首页'
    },
  },
  {
    path: '/data',
    component: resolve => require(['../views/Data'], resolve),
    meta: {
      title: '我的数据'
    },
  },
  {
    path: '/preview',
    component: resolve => require(['../views/Preview'], resolve),
    meta: {
      title: 'excel预览'
    },
  },
  {
    path: '/report',
    component: resolve => require(['../views/Report'], resolve),
    meta: {
      title: '实验报告'
    },
  },
];

const router = new VueRouter({
  mode: 'hash',
  base: process.env.BASE_URL,
  routes
})

export default router